## NAME

v.segment - Create points/segments from input lines, and positions read from stdin in format: P [] L [] Segment is created for the first found line of that category only.

## SYNOPSIS

v.segment
v.segment help
v.segment input=string output=string [llayer=integer]

### Parameters:

input=string
  Input map containing lines
output=string
  Output map where segments will be written
llayer=integer
  Line layer
  Default: 1

## DESCRIPTION

v.segment generates segments or points from input lines and from positions read from 'stdin'.

The format is:

    P <point id>   <line cat> <offset> [<side offset>]
    L <segment id> <line cat> <start offset> <end offset> [<side offset>]

A segments is only created for the first line found of the specified category.

Points are generated in the middle of the lines. Points are created on the line for given distance from the beginning of the vector line.

### EXAMPLE

The user must send to stdin something like:

    P 1 356 24.56
    P 2 495 12.31
    ...

(pipe into the command). For points, to calculate the offset (half of the length) the command v.to.db can be used.

## SEE ALSO

v.to.db

## AUTHOR

Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2004/03/04 15:21:02 $

Help Index